#!/usr/bin/bash

if [ $# -lt 1 ]; then
    echo "Usage: $0 [BINDIR]"
    echo "  Assuming BINDIR=/usr/local/bin"
    BINDIR=/usr/local/bin
else
    BINDIR=$1
fi

DIRSIG=$BINDIR/dirsig5
SCENE2HDF=$BINDIR/scene2hdf
ENVITOPNM=$BINDIR/envitopnm

#$SCENE2HDF demo.scene
#$DIRSIG --convergence=5,10,1e-6 demo.jsim
#mkdir -p images/pnm

GAIN="1e4,1e4,1e4"
BIAS="0,0,0"
$ENVITOPNM --tonemap --gain=$GAIN --bias=$BIAS --image=demo-t0000.img > images/pnm/demo-t0000.pnm
$ENVITOPNM --tonemap --gain=$GAIN --bias=$BIAS --image=demo-t0001.img > images/pnm/demo-t0001.pnm
$ENVITOPNM --tonemap --gain=$GAIN --bias=$BIAS --image=demo-t0002.img > images/pnm/demo-t0002.pnm
$ENVITOPNM --tonemap --gain=$GAIN --bias=$BIAS --image=demo-t0003.img > images/pnm/demo-t0003.pnm
$ENVITOPNM --tonemap --gain=$GAIN --bias=$BIAS --image=demo-t0004.img > images/pnm/demo-t0004.pnm
$ENVITOPNM --tonemap --gain=$GAIN --bias=$BIAS --image=demo-t0005.img > images/pnm/demo-t0005.pnm
$ENVITOPNM --tonemap --gain=$GAIN --bias=$BIAS --image=demo-t0006.img > images/pnm/demo-t0006.pnm
$ENVITOPNM --tonemap --gain=$GAIN --bias=$BIAS --image=demo-t0007.img > images/pnm/demo-t0007.pnm
$ENVITOPNM --tonemap --gain=$GAIN --bias=$BIAS --image=demo-t0008.img > images/pnm/demo-t0008.pnm
$ENVITOPNM --tonemap --gain=$GAIN --bias=$BIAS --image=demo-t0009.img > images/pnm/demo-t0009.pnm
$ENVITOPNM --tonemap --gain=$GAIN --bias=$BIAS --image=demo-t0010.img > images/pnm/demo-t0010.pnm
$ENVITOPNM --tonemap --gain=$GAIN --bias=$BIAS --image=demo-t0011.img > images/pnm/demo-t0011.pnm
$ENVITOPNM --tonemap --gain=$GAIN --bias=$BIAS --image=demo-t0012.img > images/pnm/demo-t0012.pnm
$ENVITOPNM --tonemap --gain=$GAIN --bias=$BIAS --image=demo-t0013.img > images/pnm/demo-t0013.pnm
$ENVITOPNM --tonemap --gain=$GAIN --bias=$BIAS --image=demo-t0014.img > images/pnm/demo-t0014.pnm
$ENVITOPNM --tonemap --gain=$GAIN --bias=$BIAS --image=demo-t0015.img > images/pnm/demo-t0015.pnm
$ENVITOPNM --tonemap --gain=$GAIN --bias=$BIAS --image=demo-t0016.img > images/pnm/demo-t0016.pnm
$ENVITOPNM --tonemap --gain=$GAIN --bias=$BIAS --image=demo-t0017.img > images/pnm/demo-t0017.pnm
$ENVITOPNM --tonemap --gain=$GAIN --bias=$BIAS --image=demo-t0018.img > images/pnm/demo-t0018.pnm
$ENVITOPNM --tonemap --gain=$GAIN --bias=$BIAS --image=demo-t0019.img > images/pnm/demo-t0019.pnm
$ENVITOPNM --tonemap --gain=$GAIN --bias=$BIAS --image=demo-t0020.img > images/pnm/demo-t0020.pnm
$ENVITOPNM --tonemap --gain=$GAIN --bias=$BIAS --image=demo-t0021.img > images/pnm/demo-t0021.pnm
$ENVITOPNM --tonemap --gain=$GAIN --bias=$BIAS --image=demo-t0022.img > images/pnm/demo-t0022.pnm
$ENVITOPNM --tonemap --gain=$GAIN --bias=$BIAS --image=demo-t0023.img > images/pnm/demo-t0023.pnm
convert -loop 0 -delay 10 images/pnm/*.pnm images/BackgroundSky1-Low.gif
